Last Comment Bug 702339 - Go back to using an AbsoluteLayout
: Go back to using an AbsoluteLayout
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P1 normal (vote)
: ---
Assigned To: James Willcox (:snorp) (jwillcox@mozilla.com)
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-14 10:28 PST by James Willcox (:snorp) (jwillcox@mozilla.com)
Modified: 2012-01-09 15:02 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Use AbsoluteLayout for the main Gecko layout (2.26 KB, patch)
2011-11-14 10:28 PST, James Willcox (:snorp) (jwillcox@mozilla.com)
blassey.bugs: review+
Details | Diff | Splinter Review

Description User image James Willcox (:snorp) (jwillcox@mozilla.com) 2011-11-14 10:28:57 PST
Created attachment 574337 [details] [diff] [review]
Use AbsoluteLayout for the main Gecko layout

Using RelativeLayout as we do currently causes plugin SurfaceViews to be incorrectly sized. Notably, any SurfaceView that is positioned and sized such that some of it would be offscreen gets resized so that it is not. Going back to AbsoluteLayout solves the problem.
Comment 1 User image Lucas Rocha (:lucasr) 2011-11-14 15:53:00 PST
(In reply to James Willcox (:snorp) (jwillcox@mozilla.com) from comment #0)
> Created attachment 574337 [details] [diff] [review] [diff] [details] [review]
> Use AbsoluteLayout for the main Gecko layout
> 
> Using RelativeLayout as we do currently causes plugin SurfaceViews to be
> incorrectly sized. Notably, any SurfaceView that is positioned and sized
> such that some of it would be offscreen gets resized so that it is not.
> Going back to AbsoluteLayout solves the problem.

Isn't AbsoluteLayout deprecated? Isn't there a way to implement fixed positioning without it?
Comment 2 User image Mark Finkle (:mfinkle) (use needinfo?) 2011-11-16 06:40:33 PST
https://hg.mozilla.org/projects/birch/rev/fd9a9c599157

Note You need to log in before you can comment on or make changes to this bug.